@import '../../../assets/styles/common.scss';

.login {
  &-form {
    display: flex;
    flex-direction: column;
    align-items: center;

    &__title {
      margin-top: 2rem;
      font-style: italic;
      font-size: 3rem;
    }

    &__subHeader {
      margin-bottom: 4rem;
      font-style: italic;
      font-size: 2rem;
      color: $blue-light;
    }

    &__apiTxt {
      &--error {
        height: 3rem;
        margin: 1rem 0;
        color: red;
      }
    }
  }

  &-forgot {
    display: block;
    text-align: center;

    &__text {
      margin: 0 5px;
      font-style: italic;
      text-decoration: underline;
      cursor: pointer;
    }
  }

  &__link {
    font-style: italic;
    text-decoration: underline;
    cursor: pointer;
  }

  &__btn {
    &-container {
      position: relative;
      padding-top: 2.5rem;
      text-align: center;
      cursor: pointer;
    }

    &-txt {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
  }

  &-error {
    width: 35rem;
    height: 2rem;
    margin-bottom: .5rem;
  }

  &__textlink {
    display: flex;
    justify-content: center;
    margin-top: 2.5rem;
    margin-bottom: 2.5rem;
    font-style: italic;
    color: $blue-light-one;

    &-register {
      margin-left: .5rem;
      text-decoration: underline;
      cursor:pointer;
    }
  }

  @media only screen and (max-width: 1400px) {
    &-form {
      &__title {
        margin-top: 0;
        font-size: 2.4rem;
      }

      &__subHeader {
        margin-bottom: 2rem;
        font-size: 2rem;
      }
    }

    &__textlink {
      margin-top:0;
      margin-bottom: 1rem;
      font-size: 1.8rem;
    }

    &__btn-container {
      padding-top: 1rem;
    }

    &-forgot {
      font-size: 1.8rem;
    }

    &__btn-container {
      button {
        img {
          height: 6rem;
        }
      }
    }
  }
}

.goregister__link {
  padding-left: .5rem;
  text-decoration: underline;
  cursor: pointer;
}
